[ci] Add gen-mubi.py to CI
Signed-off-by: Rupert Swarbrick <rswarbrick@lowrisc.org>
diff --git a/ci/scripts/check-generated.sh b/ci/scripts/check-generated.sh
index ca2352b..b4e8046 100755
--- a/ci/scripts/check-generated.sh
+++ b/ci/scripts/check-generated.sh
@@ -67,3 +67,11 @@
echo "Regenerate with 'util/make_new_dif.py --mode=regen --only=autogen'."
exit 1
fi
+
+util/design/gen-mubi.py && is_clean
+if [[ $? != 0 ]]; then
+ echo -n "##vso[task.logissue type=error]"
+ echo "MUBI package not up-to-date."
+ echo "Regenerate with 'util/design/gen-mubi.py'."
+ exit 1
+fi